import React, { useRef } from "react";
import { Platform } from "react-native";
import ActionSheet from "react-native-actions-sheet";
import { EachTrainInfoCore } from "./EachTrainInfoCore";
export const EachTrainInfo = ({ payload }) => {
  if (!payload) return <></>;
  const actionSheetRef = useRef(null);
  return (
    <ActionSheet
      gestureEnabled={true}
      //gestureEnabled={!actionSheetHorizonalScroll}
      CustomHeaderComponent={<></>}
      ref={actionSheetRef}
      drawUnderStatusBar={false}
      isModal={Platform.OS == "ios"}

      //useBottomSafeAreaPadding={Platform.OS == "android"}
    >
      <EachTrainInfoCore {...{ actionSheetRef, ...payload }} />
    </ActionSheet>
  );
};
