import React from "react";
import { ScrollView } from "react-native";
import { TrainDataView } from "./TrainDataView";

export const ShortHeader = ({
  currentTrainData,
  currentPosition,
  nearTrainIDList,
  openTrainInfo,
  navigate,
}) => {
  return (
    <ScrollView
      //onTouchStart={() => setActionSheetHorizonalScroll(true)}
      //onScrollEndDrag={() => setActionSheetHorizonalScroll(false)}
      //onScrollBeginDrag={() => console.log("onScrollBeginDrag")}
      style={{
        flexDirection: "row",
        flex: 1,
        //width: widthPercentageToDP("200%"),
        // minHeight: 200,
        //height: heightPercentageToDP("20%"),
      }}
      horizontal
      pagingEnabled
    >
      <TrainDataView
        mode={2}
        currentTrainData={currentTrainData}
        currentPosition={currentPosition}
        nearTrainIDList={nearTrainIDList}
        openTrainInfo={openTrainInfo}
        navigate={navigate}
      />
    </ScrollView>
  );
};
