import yosan from "../assets/originData/yosan";
import uwajima from "../assets/originData/uwajima";
import uwajima2 from "../assets/originData/uwajima2";
import dosan from "../assets/originData/dosan";
import dosan2 from "../assets/originData/dosan2";
import koutoku from "../assets/originData/koutoku";
import tokushima from "../assets/originData/tokushima";
import naruto from "../assets/originData/naruto";
import seto from "../assets/originData/seto";
export const getStationList2 = async () => {
  return {
    yosan,
    uwajima,
    uwajima2,
    dosan,
    dosan2,
    koutoku,
    tokushima,
    naruto,
    seto,
  };
};

export const stationIDPair = {
  yosan: "Y",
  uwajima: "U",
  uwajima2: "S",
  dosan: "D",
  dosan2: "K",
  koutoku: "T",
  tokushima: "B",
  naruto: "N",
  seto: "M",
};

export const stationNamePair = {
  "予讃線(高松 - 松山)": "yosan",
  "予讃線・内子線(松山 - 内子 - 宇和島)": "uwajima",
  "予讃線・伊予灘線(向井原 - 伊予大洲)": "uwajima2",
  "土讃線(多度津 - 高知)": "dosan",
  "土讃線(高知 - 窪川)": "dosan2",
  "高徳線(高松 - 徳島)": "koutoku",
  "徳島線(徳島 - 阿波池田)": "tokushima",
  "鳴門線(池谷 - 鳴門)": "naruto",
  "瀬戸大橋線(児島 - 宇多津)": "seto",
};
