import React, { FC } from "react";
import { Text, View } from "react-native";

type Props = {
  lastStation: string;
};
export const LastStation: FC<Props> = ({ lastStation }) => {
  return (
    <View style={{ flex: 4, flexDirection: "row" }}>
      <Text
        style={{
          fontSize: lastStation.length > 4 ? parseInt("12%") : parseInt("16%"),
          color: "white",
          fontWeight: "bold",
        }}
      >
        {lastStation}
      </Text>
    </View>
  );
};
