import React, { FC } from "react";
import { Text, TextStyle, View } from "react-native";
const descriptionStyle: TextStyle = {
  fontSize: parseInt("16%"),
  fontWeight: "bold",
};
type Props = {
  trainDelayStatus: string;
};
export const StatusAndDelay: FC<Props> = ({ trainDelayStatus }) => {
  return (
    <View style={{ flex: 4 }}>
      <Text style={{ ...descriptionStyle, color: "white", paddingLeft: 1 }}>
        {trainDelayStatus}
      </Text>
    </View>
  );
};
