require 'json'

package = JSON.parse(File.read(File.join(__dir__, '../../../', 'package.json')))

Pod::Spec.new do |s|
  s.name           = 'ExpoFelicaReader'
  s.version        = "0.1.0"
  s.summary        = "A module for reading Felica cards in ExpoKit."
  s.description    = "Expo FeliCa reader module"
  s.license        = "MIT"
  s.author         = "Daiki Urata (https://github.com/7nohe)"
  s.homepage       = "https://github.com/7nohe/expo-felica-reader#readme"
  s.platform       = :ios, '13.0'
  s.swift_version  = '5.4'
  s.source         = { git: 'https://github.com/7nohe/expo-felica-reader' }
  s.static_framework = true

  s.dependency 'ExpoModulesCore'

  # Swift/Objective-C compatibility
  s.pod_target_xcconfig = {
    'DEFINES_MODULE' => 'YES',
    'SWIFT_COMPILATION_MODE' => 'wholemodule'
  }
  
  s.source_files = "**/*.{h,m,swift}"
end